Bug 60939 - Cerbero does not work on Arch Linux
Summary: Cerbero does not work on Arch Linux
Status: NEW
Alias: None
Product: GStreamer SDK
Classification: Unclassified
Component: Linux SDK Distribution (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: bugs
QA Contact:
URL: https://www.vtpeanutbutter.com/tellth...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-16 03:02 UTC by Lubosz Sarnecki
Modified: 2019-09-09 06:02 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Changes needed for Arch Linux (4.36 KB, text/plain)
2013-02-16 03:02 UTC, Lubosz Sarnecki
Details
Changes needed for Arch Linux (2.61 KB, patch)
2013-02-16 03:05 UTC, Lubosz Sarnecki
Details | Splinter Review
Changing shebangs to python2 allows cerbero to run without specifying the interpreter (522 bytes, text/plain)
2014-06-11 18:38 UTC, Lubosz Sarnecki
Details
Add Arch Linux support (checks for multilib repository) (3.42 KB, text/plain)
2014-06-11 18:39 UTC, Lubosz Sarnecki
Details
Gtk+ and GLib recipe patch for Arch (1.62 KB, text/plain)
2014-06-11 18:39 UTC, Lubosz Sarnecki
Details
libkate patch for arch (747 bytes, text/plain)
2014-06-11 18:40 UTC, Lubosz Sarnecki
Details
Cairo fix for gcc 4.9 (851 bytes, text/plain)
2014-06-11 18:41 UTC, Lubosz Sarnecki
Details
gobject-introspection fix for arch (1.05 KB, text/plain)
2014-06-11 18:41 UTC, Lubosz Sarnecki
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lubosz Sarnecki 2013-02-16 03:02:29 UTC
Created attachment 74920 [details]
Changes needed for Arch Linux

I added support for bootstrapping cerbero in Arch Linux.

Since python platform does not support Arch Linux, I am looking for "ARCH" in pplatform.release().

Also the script needs to use the python2 binary, since /usr/bin/python is python3.

https://github.com/lubosz/cerbero
Comment 1 Lubosz Sarnecki 2013-02-16 03:05:31 UTC
Created attachment 74921 [details] [review]
Changes needed for Arch Linux

The above patch had other things in it, sorry. This is a clean one. Also my github arch-support branch is only arch related.
Comment 2 Andoni Morales Alastruey 2013-02-16 18:55:10 UTC
Comment on attachment 74921 [details] [review]
Changes needed for Arch Linux

Review of attachment 74921 [details] [review]:
-----------------------------------------------------------------

Except for the python2 change, it can be merged. Can you please split it until we find a proper solution for it?

::: cerbero-uninstalled
@@ +1,1 @@
> +#!/usr/bin/env python2

It doesn't looks good to me as it would break other distros

::: cerbero/bootstrap/linux.py
@@ +102,5 @@
> +    packages = ['intltool', 'cmake', 'doxygen', 'gtk-doc',
> +            'libtool', 'bison', 'flex', 'automake', 'autoconf', 'make',
> +            'curl', 'gettext', 'alsa-lib', 'yasm', 'gperf',
> +            'docbook-xsl', 'transfig', 'libxrender',
> +            'libxv', 'mesa', 'python2', 'wget', 'glib-networking']

It probably needs more dependencies, but we can leave it like this for now. A good test would be to bootstrap and package on a chroot with only the base system installed.
Comment 3 Sebastian Dröge (slomo) 2013-02-18 08:32:04 UTC
(In reply to comment #2)
> Comment on attachment 74921 [details] [review] [review]
> Changes needed for Arch Linux
> 
> Review of attachment 74921 [details] [review] [review]:
> -----------------------------------------------------------------
> 
> Except for the python2 change, it can be merged. Can you please split it
> until we find a proper solution for it?

The problem is that python2 is python 2.x and python is python 3.x on Arch Linux? We could try to make cerbero work with python 3.x then, would be necessary at some point in the future anyway.

Do you know how much work it would be?
Comment 4 Lubosz Sarnecki 2013-02-18 23:16:23 UTC
I guess you could use 2to3 to make a python 3 version. What is more popular though is making the software work in Python 2 and 3 with the same codebase, like Django 1.5.
Comment 5 Sebastian Dröge (slomo) 2013-02-19 12:42:29 UTC
(In reply to comment #4)
> I guess you could use 2to3 to make a python 3 version. What is more popular
> though is making the software work in Python 2 and 3 with the same codebase,
> like Django 1.5.

Yeah, the same codebase should be made to work with both Python versions
Comment 6 Lubosz Sarnecki 2014-06-11 15:48:06 UTC
https://github.com/lubosz/cerbero/tree/Arch

This is my current Arch branch, rebased to master.

Are you still sure about the shebangs? Isn't it state of the art to use python2 shebangs for python2 code?
Comment 7 Lazar Claudiu 2014-06-11 16:30:24 UTC
I'd appreciate if this gets merged, I need it aswell.
Comment 8 Lubosz Sarnecki 2014-06-11 18:38:26 UTC
Created attachment 100892 [details]
Changing shebangs to python2 allows cerbero to run without specifying the interpreter
Comment 9 Lubosz Sarnecki 2014-06-11 18:39:01 UTC
Created attachment 100893 [details]
Add Arch Linux support (checks for multilib repository)
Comment 10 Lubosz Sarnecki 2014-06-11 18:39:45 UTC
Created attachment 100894 [details]
Gtk+ and GLib recipe patch for Arch
Comment 11 Lubosz Sarnecki 2014-06-11 18:40:06 UTC
Created attachment 100895 [details]
libkate patch for arch
Comment 12 Lubosz Sarnecki 2014-06-11 18:41:12 UTC
Created attachment 100896 [details]
Cairo fix for gcc 4.9
Comment 13 Lubosz Sarnecki 2014-06-11 18:41:37 UTC
Created attachment 100897 [details]
gobject-introspection fix for arch
Comment 14 nodejsquiz@gmail.com (Spammer; Account disabled) 2019-04-09 09:56:16 UTC
I enjoyed over read your blog post. This was actually what i was looking for and i am glad to came here!
https://webnovel.online
Comment 15 hafat 2019-08-28 06:32:48 UTC
Hey, 
Really it's very fantastic post. Which am looking. Really it has great stuff. I hope you keep on updating with latest post.

you may visit: https://192-168-1-254.online/
Comment 16 menvat 2019-09-09 06:02:40 UTC
I'm very happy to see this post. Which is really very informative website. Even am waiting for more updates. Thank You!
https://www.vtpeanutbutter.com/tellthebell/


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.